### Method

# Gtk InfoBarset_revealed

deprecated: 4.10

#### Declaration [src]

    void
    gtk_info_bar_set_revealed (
      GtkInfoBar* info_bar,
      gboolean revealed
    )

#### Description [src]

Sets whether the `GtkInfoBar` is revealed.

Changing this will make `info_bar` reveal or conceal itself via a sliding transition.

Note: this does not show or hide `info_bar` in the `GtkWidget:visible` sense, so revealing has no effect if `GtkWidget:visible` is `FALSE`.

Deprecated since: 4.10

Please do not use it in newly written code.

Sets property | `Gtk.InfoBar:revealed`

#### Parameters

`revealed`

  Type: `gboolean`

  The new value of the property.